package com.cku.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.cku.model.SPCarts;

public interface SPCartsMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(SPCarts record);

    int insertSelective(SPCarts record);

    SPCarts selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(SPCarts record);

    int updateByPrimaryKey(SPCarts record);

	/**
	 * 已改
	 * @Description：根据订单号修改购物车表支付标识
	 * @author: zhuoHeng
	 * @version: 2016年4月20日 下午1:00:18
	 */
	int updateSPCartsPayConfirm(@Param("orderID")String orderID);
	
	/**
	 * 已改
	 * @Description：取消订单删除购物车订单记录
	 * @author: zhuoHeng
	 * @version: 2016年4月21日 下午1:13:53
	 */
	int deleteByOrderId(@Param("userId")String userId,@Param("orderId") String orderId);
}